Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.messages
Class MessageImpl

    java.lang.Object
      net.sf.dropboxmq.messages.MessageImpl

All Implemented Interfaces:
  Message

Direct Known Subclasses:
  BytesMessageImpl, MapMessageImpl, ObjectMessageImpl, StreamMessageImpl, TextMessageImpl

    public class MessageImpl

extends Object
implements Message

Created: 28 Nov 2005

Version:
  $Revision: 231 $, $Date: 2011-08-12 21:50:47 -0600 (Fri, 12 Aug 2011) $
Author:
  Dwayne Schultz

Field Summary

Fields inherited from interface javax.jms.Message
`DEFAULT_DELIVERY_MODE, DEFAULT_PRIORITY, DEFAULT_TIME_TO_LIVE`

Constructor Summary
`MessageImpl(SessionImpl session)`

Method Summary
`void` | `acknowledge()` Acknowledges all consumed messages of the session of this consumed message.
`protected void` | `checkWrite()`
`void` | `clearBody()` Clears out the message body.
`void` | `clearProperties()` Clears a message's properties.
`static MessageImpl` | `convertForeignMessage(Message foreignMessage, SessionImpl session)`
`boolean` | `getBooleanProperty(String name)` Returns the value of the `boolean` property with the specified name.
`byte` | `getByteProperty(String name)` Returns the value of the `byte` property with the specified name.
`double` | `getDoubleProperty(String name)` Returns the value of the `double` property with the specified name.
`float` | `getFloatProperty(String name)` Returns the value of the `float` property with the specified name.
`int` | `getIntProperty(String name)` Returns the value of the `int` property with the specified name.
`String` | `getJMSCorrelationID()` Gets the correlation ID for the message.
`byte[]` | `getJMSCorrelationIDAsBytes()` Gets the correlation ID as an array of bytes for the message.
`int` | `getJMSDeliveryMode()` Gets the `DeliveryMode` value specified for this message.
`Destination` | `getJMSDestination()` Gets the `Destination` object for this message.
`long` | `getJMSExpiration()` Gets the message's expiration value.
`String` | `getJMSMessageID()` Gets the message ID.
`int` | `getJMSPriority()` Gets the message priority level.
`boolean` | `getJMSRedelivered()` Gets an indication of whether this message is being redelivered.
`Destination` | `getJMSReplyTo()` Gets the `Destination` object to which a reply to this message should be sent.
`long` | `getJMSTimestamp()` Gets the message timestamp.
`String` | `getJMSType()` Gets the message type identifier supplied by the client when the message was sent.
`long` | `getLongProperty(String name)` Returns the value of the `long` property with the specified name.
`Object` | `getObjectProperty(String name)` Returns the value of the Java object property with the specified name.
`Enumeration` | `getPropertyNames()` Returns an `Enumeration` of all the property names.
`File` | `getReadMessageFile()`
`int` | `getSequence()`
`SessionImpl` | `getSession()`
`short` | `getShortProperty(String name)` Returns the value of the `short` property with the specified name.
`String` | `getStringProperty(String name)` Returns the value of the `String` property with the specified name.
`protected boolean` | `isBodyReadOnly()`
`boolean` | `isExpired()`
`boolean` | `isReceived()`
`boolean` | `propertyExists(String name)` Indicates whether a property value exists.
`void` | `read(File newMessageFile, FileSystem fileSystem)`
`void` | `setBooleanProperty(String name, boolean value)` Sets a `boolean` property value with the specified name into the message.
`void` | `setByteProperty(String name, byte value)` Sets a `byte` property value with the specified name into the message.
`void` | `setDoubleProperty(String name, double value)` Sets a `double` property value with the specified name into the message.
`void` | `setFloatProperty(String name, float value)` Sets a `float` property value with the specified name into the message.
`void` | `setIntProperty(String name, int value)` Sets an `int` property value with the specified name into the message.
`void` | `setJMSCorrelationID(String correlationID)` Sets the correlation ID for the message.
`void` | `setJMSCorrelationIDAsBytes(byte[] correlationID)` Sets the correlation ID as an array of bytes for the message.
`void` | `setJMSDeliveryMode(int deliveryMode)` Sets the `DeliveryMode` value for this message.
`void` | `setJMSDestination(Destination destination)` Sets the `Destination` object for this message.
`void` | `setJMSExpiration(long expiration)` Sets the message's expiration value.
`void` | `setJMSMessageID(String id)` Sets the message ID.
`void` | `setJMSPriority(int priority)` Sets the priority level for this message.
`void` | `setJMSRedelivered(boolean redelivered)` Specifies whether this message is being redelivered.
`void` | `setJMSReplyTo(Destination replyTo)` Sets the `Destination` object to which a reply to this message should be sent.
`void` | `setJMSTimestamp(long timestamp)` Sets the message timestamp.
`void` | `setJMSType(String type)` Sets the message type.
`void` | `setLongProperty(String name, long value)` Sets a `long` property value with the specified name into the message.
`void` | `setObjectProperty(String name, Object value)` Sets a Java object property value with the specified name into the message.
`void` | `setReceived(boolean received)`
`void` | `setSequence(int sequence)`
`void` | `setSession(SessionImpl session)`
`void` | `setShortProperty(String name, short value)` Sets a `short` property value with the specified name into the message.
`void` | `setStringProperty(String name, String value)` Sets a `String` property value with the specified name into the message.
`protected String` | `toObjectString()`
`String` | `toString()`
`void` | `write(File newMessageFile, FileSystem fileSystem)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessageImpl

    public MessageImpl(SessionImpl session)

Method Detail

### read

    public void read(File newMessageFile,
                     FileSystem fileSystem)
              throws FileSystem.FileSystemException,
                     IOException,
                     JMSException

  Throws:
    `FileSystem.FileSystemException`
    `IOException`
    `JMSException`

### write

    public void write(File newMessageFile,
                      FileSystem fileSystem)
               throws FileSystem.FileSystemException,
                      IOException,
                      JMSException

  Throws:
    `FileSystem.FileSystemException`
    `IOException`
    `JMSException`

### isExpired

    public boolean isExpired()

### getJMSMessageID

    public String getJMSMessageID()
                           throws JMSException

  Description copied from interface: `javax.jms.Message`
  Gets the message ID.

  The `JMSMessageID` header field contains a value that uniquely identifies each message sent by a provider.

  When a message is sent, `JMSMessageID` can be ignored. When the `send` or `publish` method returns, it contains a provider-assigned value.

  A `JMSMessageID` is a `String` value that should function as a unique key for identifying messages in a historical repository. The exact scope of uniqueness is provider-defined. It should at least cover all messages for a specific installation of a provider, where an installation is some connected set of message routers.

  All `JMSMessageID` values must start with the prefix `'ID:'`. Uniqueness of message ID values across different providers is not required.

  Since message IDs take some effort to create and increase a message's size, some JMS providers may be able to optimize message overhead if they are given a hint that the message ID is not used by an application. By calling the `MessageProducer.setDisableMessageID` method, a JMS client enables this potential optimization for all messages sent by that message producer. If the JMS provider accepts this hint, these messages must have the message ID set to null; if the provider ignores the hint, the message ID must be set to its normal unique value.

  Specified by:
    `getJMSMessageID` in interface `Message`
  Returns:
    the message ID
  Throws:
    `JMSException` - if the JMS provider fails to get the message ID due to some internal error.
  See Also:
    `Message.setJMSMessageID(String)`, `MessageProducer.setDisableMessageID(boolean)`

### setJMSMessageID

    public void setJMSMessageID(String id)
                         throws JMSException

  Description copied from interface: `javax.jms.Message`
  Sets the message ID.

  JMS providers set this field when a message is sent. This method can be used to change the value for a message that has been received.

  Specified by:
    `setJMSMessageID` in interface `Message`
  Parameters:
    `id` - the ID of the message
  Throws:
    `JMSException` - if the JMS provider fails to set the message ID due to some internal error.
  See Also:
    `Message.getJMSMessageID()`

### getJMSTimestamp

    public long getJMSTimestamp()
                         throws JMSException

  Description copied from interface: `javax.jms.Message`
  Gets the message timestamp.

  The `JMSTimestamp` header field contains the time a message was handed off to a provider to be sent. It is not the time the message was actually transmitted, because the actual send may occur later due to transactions or other client-side queueing of messages.

  When a message is sent, `JMSTimestamp` is ignored. When the `send` or `publish` method returns, it contains a time value somewhere in the interval between the call and the return. The value is in the format of a normal millis time value in the Java programming language.

  Since timestamps take some effort to create and increase a message's size, some JMS providers may be able to optimize message overhead if they are given a hint that the timestamp is not used by an application. By calling the `MessageProducer.setDisableMessageTimestamp` method, a JMS client enables this potential optimization for all messages sent by that message producer. If the JMS provider accepts this hint, these messages must have the timestamp set to zero; if the provider ignores the hint, the timestamp must be set to its normal value.

  Specified by:
    `getJMSTimestamp` in interface `Message`
  Returns:
    the message timestamp
  Throws:
    `JMSException` - if the JMS provider fails to get the timestamp due to some internal error.
  See Also:
    `Message.setJMSTimestamp(long)`, `MessageProducer.setDisableMessageTimestamp(boolean)`

### setJMSTimestamp

    public void setJMSTimestamp(long timestamp)
                         throws JMSException

  Description copied from interface: `javax.jms.Message`
  Sets the message timestamp.

  JMS providers set this field when a message is sent. This method can be used to change the value for a message that has been received.

  Specified by:
    `setJMSTimestamp` in interface `Message`
  Parameters:
    `timestamp` - the timestamp for this message
  Throws:
    `JMSException` - if the JMS provider fails to set the timestamp due to some internal error.
  See Also:
    `Message.getJMSTimestamp()`

### getJMSCorrelationIDAsBytes

    public byte[] getJMSCorrelationIDAsBytes()
                                      throws JMSException

  Description copied from interface: `javax.jms.Message`
  Gets the correlation ID as an array of bytes for the message.

  The use of a `byte[]` value for `JMSCorrelationID` is non-portable.

  Specified by:
    `getJMSCorrelationIDAsBytes` in interface `Message`
  Returns:
    the correlation ID of a message as an array of bytes
  Throws:
    `JMSException` - if the JMS provider fails to get the correlation ID due to some internal error.
  See Also:
    `Message.setJMSCorrelationID(String)`, `Message.getJMSCorrelationID()`, `Message.setJMSCorrelationIDAsBytes(byte[])`

### setJMSCorrelationIDAsBytes

    public void setJMSCorrelationIDAsBytes(byte[] correlationID)
                                    throws JMSException

  Description copied from interface: `javax.jms.Message`
  Sets the correlation ID as an array of bytes for the message.

  The array is copied before the method returns, so future modifications to the array will not alter this message header.

  If a provider supports the native concept of correlation ID, a JMS client may need to assign specific `JMSCorrelationID` values to match those expected by native messaging clients. JMS providers without native correlation ID values are not required to support this method and its corresponding get method; their implementation may throw a `java.lang.UnsupportedOperationException`.

  The use of a `byte[]` value for `JMSCorrelationID` is non-portable.

  Specified by:
    `setJMSCorrelationIDAsBytes` in interface `Message`
  Parameters:
    `correlationID` - the correlation ID value as an array of bytes
  Throws:
    `JMSException` - if the JMS provider fails to set the correlation ID due to some internal error.
  See Also:
    `Message.setJMSCorrelationID(String)`, `Message.getJMSCorrelationID()`, `Message.getJMSCorrelationIDAsBytes()`

### setJMSCorrelationID

    public void setJMSCorrelationID(String correlationID)
                             throws JMSException

  Description copied from interface: `javax.jms.Message`
  Sets the correlation ID for the message.

  A client can use the `JMSCorrelationID` header field to link one message with another. A typical use is to link a response message with its request message.

  `JMSCorrelationID` can hold one of the following:

  - A provider-specific message ID
  - An application-specific `String`
  - A provider-native `byte[]` value

  Since each message sent by a JMS provider is assigned a message ID value, it is convenient to link messages via message ID. All message ID values must start with the `'ID:'` prefix.

  In some cases, an application (made up of several clients) needs to use an application-specific value for linking messages. For instance, an application may use `JMSCorrelationID` to hold a value referencing some external information. Application-specified values must not start with the `'ID:'` prefix; this is reserved for provider-generated message ID values.

  If a provider supports the native concept of correlation ID, a JMS client may need to assign specific `JMSCorrelationID` values to match those expected by clients that do not use the JMS API. A `byte[]` value is used for this purpose. JMS providers without native correlation ID values are not required to support `byte[]` values. The use of a `byte[]` value for `JMSCorrelationID` is non-portable.

  Specified by:
    `setJMSCorrelationID` in interface `Message`
  Parameters:
    `correlationID` - the message ID of a message being referred to
  Throws:
    `JMSException` - if the JMS provider fails to set the correlation ID due to some internal error.
  See Also:
    `Message.getJMSCorrelationID()`, `Message.getJMSCorrelationIDAsBytes()`, `Message.setJMSCorrelationIDAsBytes(byte[])`

### getJMSCorrelationID

    public String getJMSCorrelationID()
                               throws JMSException

  Description copied from interface: `javax.jms.Message`
  Gets the correlation ID for the message.

  This method is used to return correlation ID values that are either provider-specific message IDs or application-specific `String` values.

  Specified by:
    `getJMSCorrelationID` in interface `Message`
  Returns:
    the correlation ID of a message as a `String`
  Throws:
    `JMSException` - if the JMS provider fails to get the correlation ID due to some internal error.
  See Also:
    `Message.setJMSCorrelationID(String)`, `Message.getJMSCorrelationIDAsBytes()`, `Message.setJMSCorrelationIDAsBytes(byte[])`

### getJMSReplyTo

    public Destination getJMSReplyTo()
                              throws JMSException

  Description copied from interface: `javax.jms.Message`
  Gets the `Destination` object to which a reply to this message should be sent.

  Specified by:
    `getJMSReplyTo` in interface `Message`
  Returns:
    `Destination` to which to send a response to this message
  Throws:
    `JMSException` - if the JMS provider fails to get the `JMSReplyTo` destination due to some internal error.
  See Also:
    `Message.setJMSReplyTo(Destination)`

### setJMSReplyTo

    public void setJMSReplyTo(Destination replyTo)
                       throws JMSException

  Description copied from interface: `javax.jms.Message`
  Sets the `Destination` object to which a reply to this message should be sent.

  The `JMSReplyTo` header field contains the destination where a reply to the current message should be sent. If it is null, no reply is expected. The destination may be either a `Queue` object or a `Topic` object.

  Messages sent with a null `JMSReplyTo` value may be a notification of some event, or they may just be some data the sender thinks is of interest.

  Messages with a `JMSReplyTo` value typically expect a response. A response is optional; it is up to the client to decide. These messages are called requests. A message sent in response to a request is called a reply.

  In some cases a client may wish to match a request it sent earlier with a reply it has just received. The client can use the `JMSCorrelationID` header field for this purpose.

  Specified by:
    `setJMSReplyTo` in interface `Message`
  Parameters:
    `replyTo` - `Destination` to which to send a response to this message
  Throws:
    `JMSException` - if the JMS provider fails to set the `JMSReplyTo` destination due to some internal error.
  See Also:
    `Message.getJMSReplyTo()`

### getJMSDestination

    public Destination getJMSDestination()
                                  throws JMSException

  Description copied from interface: `javax.jms.Message`
  Gets the `Destination` object for this message.

  The `JMSDestination` header field contains the destination to which the message is being sent.

  When a message is sent, this field is ignored. After completion of the `send` or `publish` method, the field holds the destination specified by the method.

  When a message is received, its `JMSDestination` value must be equivalent to the value assigned when it was sent.

  Specified by:
    `getJMSDestination` in interface `Message`
  Returns:
    the destination of this message
  Throws:
    `JMSException` - if the JMS provider fails to get the destination due to some internal error.
  See Also:
    `Message.setJMSDestination(Destination)`

### setJMSDestination

    public void setJMSDestination(Destination destination)
                           throws JMSException

  Description copied from interface: `javax.jms.Message`
  Sets the `Destination` object for this message.

  JMS providers set this field when a message is sent. This method can be used to change the value for a message that has been received.

  Specified by:
    `setJMSDestination` in interface `Message`
  Parameters:
    `destination` - the destination for this message
  Throws:
    `JMSException` - if the JMS provider fails to set the destination due to some internal error.
  See Also:
    `Message.getJMSDestination()`

### getJMSDeliveryMode

    public int getJMSDeliveryMode()
                           throws JMSException

  Description copied from interface: `javax.jms.Message`
  Gets the `DeliveryMode` value specified for this message.

  Specified by:
    `getJMSDeliveryMode` in interface `Message`
  Returns:
    the delivery mode for this message
  Throws:
    `JMSException` - if the JMS provider fails to get the delivery mode due to some internal error.
  See Also:
    `Message.setJMSDeliveryMode(int)`, `DeliveryMode`

### setJMSDeliveryMode

    public void setJMSDeliveryMode(int deliveryMode)
                            throws JMSException

  Description copied from interface: `javax.jms.Message`
  Sets the `DeliveryMode` value for this message.

  JMS providers set this field when a message is sent. This method can be used to change the value for a message that has been received.

  Specified by:
    `setJMSDeliveryMode` in interface `Message`
  Parameters:
    `deliveryMode` - the delivery mode for this message
  Throws:
    `JMSException` - if the JMS provider fails to set the delivery mode due to some internal error.
  See Also:
    `Message.getJMSDeliveryMode()`, `DeliveryMode`

### getJMSRedelivered

    public boolean getJMSRedelivered()
                              throws JMSException

  Description copied from interface: `javax.jms.Message`
  Gets an indication of whether this message is being redelivered.

  If a client receives a message with the `JMSRedelivered` field set, it is likely, but not guaranteed, that this message was delivered earlier but that its receipt was not acknowledged at that time.

  Specified by:
    `getJMSRedelivered` in interface `Message`
  Returns:
    true if this message is being redelivered
  Throws:
    `JMSException` - if the JMS provider fails to get the redelivered state due to some internal error.
  See Also:
    `Message.setJMSRedelivered(boolean)`

### setJMSRedelivered

    public void setJMSRedelivered(boolean redelivered)
                           throws JMSException

  Description copied from interface: `javax.jms.Message`
  Specifies whether this message is being redelivered.

  This field is set at the time the message is delivered. This method can be used to change the value for a message that has been received.

  Specified by:
    `setJMSRedelivered` in interface `Message`
  Parameters:
    `redelivered` - an indication of whether this message is being redelivered
  Throws:
    `JMSException` - if the JMS provider fails to set the redelivered state due to some internal error.
  See Also:
    `Message.getJMSRedelivered()`

### getJMSType

    public String getJMSType()
                      throws JMSException

  Description copied from interface: `javax.jms.Message`
  Gets the message type identifier supplied by the client when the message was sent.

  Specified by:
    `getJMSType` in interface `Message`
  Returns:
    the message type
  Throws:
    `JMSException` - if the JMS provider fails to get the message type due to some internal error.
  See Also:
    `Message.setJMSType(String)`

### setJMSType

    public void setJMSType(String type)
                    throws JMSException

  Description copied from interface: `javax.jms.Message`
  Sets the message type.

  Some JMS providers use a message repository that contains the definitions of messages sent by applications. The `JMSType` header field may reference a message's definition in the provider's repository.

  The JMS API does not define a standard message definition repository, nor does it define a naming policy for the definitions it contains.

  Some messaging systems require that a message type definition for each application message be created and that each message specify its type. In order to work with such JMS providers, JMS clients should assign a value to `JMSType`, whether the application makes use of it or not. This ensures that the field is properly set for those providers that require it.

  To ensure portability, JMS clients should use symbolic values for `JMSType` that can be configured at installation time to the values defined in the current provider's message repository. If string literals are used, they may not be valid type names for some JMS providers.

  Specified by:
    `setJMSType` in interface `Message`
  Parameters:
    `type` - the message type
  Throws:
    `JMSException` - if the JMS provider fails to set the message type due to some internal error.
  See Also:
    `Message.getJMSType()`

### getJMSExpiration

    public long getJMSExpiration()
                          throws JMSException

  Description copied from interface: `javax.jms.Message`
  Gets the message's expiration value.

  When a message is sent, the `JMSExpiration` header field is left unassigned. After completion of the `send` or `publish` method, it holds the expiration time of the message. This is the sum of the time-to-live value specified by the client and the GMT at the time of the `send` or `publish`.

  If the time-to-live is specified as zero, `JMSExpiration` is set to zero to indicate that the message does not expire.

  When a message's expiration time is reached, a provider should discard it. The JMS API does not define any form of notification of message expiration.

  Clients should not receive messages that have expired; however, the JMS API does not guarantee that this will not happen.

  Specified by:
    `getJMSExpiration` in interface `Message`
  Returns:
    the time the message expires, which is the sum of the time-to-live value specified by the client and the GMT at the time of the send
  Throws:
    `JMSException` - if the JMS provider fails to get the message expiration due to some internal error.
  See Also:
    `Message.setJMSExpiration(long)`

### setJMSExpiration

    public void setJMSExpiration(long expiration)
                          throws JMSException

  Description copied from interface: `javax.jms.Message`
  Sets the message's expiration value.

  JMS providers set this field when a message is sent. This method can be used to change the value for a message that has been received.

  Specified by:
    `setJMSExpiration` in interface `Message`
  Parameters:
    `expiration` - the message's expiration time
  Throws:
    `JMSException` - if the JMS provider fails to set the message expiration due to some internal error.
  See Also:
    `Message.getJMSExpiration()`

### getJMSPriority

    public int getJMSPriority()
                       throws JMSException

  Description copied from interface: `javax.jms.Message`
  Gets the message priority level.

  The JMS API defines ten levels of priority value, with 0 as the lowest priority and 9 as the highest. In addition, clients should consider priorities 0-4 as gradations of normal priority and priorities 5-9 as gradations of expedited priority.

  The JMS API does not require that a provider strictly implement priority ordering of messages; however, it should do its best to deliver expedited messages ahead of normal messages.

  Specified by:
    `getJMSPriority` in interface `Message`
  Returns:
    the default message priority
  Throws:
    `JMSException` - if the JMS provider fails to get the message priority due to some internal error.
  See Also:
    `Message.setJMSPriority(int)`

### setJMSPriority

    public void setJMSPriority(int priority)
                        throws JMSException

  Description copied from interface: `javax.jms.Message`
  Sets the priority level for this message.

  JMS providers set this field when a message is sent. This method can be used to change the value for a message that has been received.

  Specified by:
    `setJMSPriority` in interface `Message`
  Parameters:
    `priority` - the priority of this message
  Throws:
    `JMSException` - if the JMS provider fails to set the message priority due to some internal error.
  See Also:
    `Message.getJMSPriority()`

### clearBody

    public void clearBody()
                   throws JMSException

  Description copied from interface: `javax.jms.Message`
  Clears out the message body. Clearing a message's body does not clear its header values or property entries.

  If this message body was read-only, calling this method leaves the message body in the same state as an empty body in a newly created message.

  Specified by:
    `clearBody` in interface `Message`
  Throws:
    `JMSException` - if the JMS provider fails to clear the message body due to some internal error.

### clearProperties

    public void clearProperties()
                         throws JMSException

  Description copied from interface: `javax.jms.Message`
  Clears a message's properties.

  The message's header fields and body are not cleared.

  Specified by:
    `clearProperties` in interface `Message`
  Throws:
    `JMSException` - if the JMS provider fails to clear the message properties due to some internal error.

### propertyExists

    public boolean propertyExists(String name)
                           throws JMSException

  Description copied from interface: `javax.jms.Message`
  Indicates whether a property value exists.

  Specified by:
    `propertyExists` in interface `Message`
  Parameters:
    `name` - the name of the property to test
  Returns:
    true if the property exists
  Throws:
    `JMSException` - if the JMS provider fails to determine if the property exists due to some internal error.

### getBooleanProperty

    public boolean getBooleanProperty(String name)
                               throws JMSException

  Description copied from interface: `javax.jms.Message`
  Returns the value of the `boolean` property with the specified name.

  Specified by:
    `getBooleanProperty` in interface `Message`
  Parameters:
    `name` - the name of the `boolean` property
  Returns:
    the `boolean` property value for the specified name
  Throws:
    `JMSException` - if the JMS provider fails to get the property value due to some internal error.
    `MessageFormatException` - if this type conversion is invalid.

### getByteProperty

    public byte getByteProperty(String name)
                         throws JMSException

  Description copied from interface: `javax.jms.Message`
  Returns the value of the `byte` property with the specified name.

  Specified by:
    `getByteProperty` in interface `Message`
  Parameters:
    `name` - the name of the `byte` property
  Returns:
    the `byte` property value for the specified name
  Throws:
    `JMSException` - if the JMS provider fails to get the property value due to some internal error.
    `MessageFormatException` - if this type conversion is invalid.

### getShortProperty

    public short getShortProperty(String name)
                           throws JMSException

  Description copied from interface: `javax.jms.Message`
  Returns the value of the `short` property with the specified name.

  Specified by:
    `getShortProperty` in interface `Message`
  Parameters:
    `name` - the name of the `short` property
  Returns:
    the `short` property value for the specified name
  Throws:
    `JMSException` - if the JMS provider fails to get the property value due to some internal error.
    `MessageFormatException` - if this type conversion is invalid.

### getIntProperty

    public int getIntProperty(String name)
                       throws JMSException

  Description copied from interface: `javax.jms.Message`
  Returns the value of the `int` property with the specified name.

  Specified by:
    `getIntProperty` in interface `Message`
  Parameters:
    `name` - the name of the `int` property
  Returns:
    the `int` property value for the specified name
  Throws:
    `JMSException` - if the JMS provider fails to get the property value due to some internal error.
    `MessageFormatException` - if this type conversion is invalid.

### getLongProperty

    public long getLongProperty(String name)
                         throws JMSException

  Description copied from interface: `javax.jms.Message`
  Returns the value of the `long` property with the specified name.

  Specified by:
    `getLongProperty` in interface `Message`
  Parameters:
    `name` - the name of the `long` property
  Returns:
    the `long` property value for the specified name
  Throws:
    `JMSException` - if the JMS provider fails to get the property value due to some internal error.
    `MessageFormatException` - if this type conversion is invalid.

### getFloatProperty

    public float getFloatProperty(String name)
                           throws JMSException

  Description copied from interface: `javax.jms.Message`
  Returns the value of the `float` property with the specified name.

  Specified by:
    `getFloatProperty` in interface `Message`
  Parameters:
    `name` - the name of the `float` property
  Returns:
    the `float` property value for the specified name
  Throws:
    `JMSException` - if the JMS provider fails to get the property value due to some internal error.
    `MessageFormatException` - if this type conversion is invalid.

### getDoubleProperty

    public double getDoubleProperty(String name)
                             throws JMSException

  Description copied from interface: `javax.jms.Message`
  Returns the value of the `double` property with the specified name.

  Specified by:
    `getDoubleProperty` in interface `Message`
  Parameters:
    `name` - the name of the `double` property
  Returns:
    the `double` property value for the specified name
  Throws:
    `JMSException` - if the JMS provider fails to get the property value due to some internal error.
    `MessageFormatException` - if this type conversion is invalid.

### getStringProperty

    public String getStringProperty(String name)
                             throws JMSException

  Description copied from interface: `javax.jms.Message`
  Returns the value of the `String` property with the specified name.

  Specified by:
    `getStringProperty` in interface `Message`
  Parameters:
    `name` - the name of the `String` property
  Returns:
    the `String` property value for the specified name; if there is no property by this name, a null value is returned
  Throws:
    `JMSException` - if the JMS provider fails to get the property value due to some internal error.
    `MessageFormatException` - if this type conversion is invalid.

### getObjectProperty

    public Object getObjectProperty(String name)
                             throws JMSException

  Description copied from interface: `javax.jms.Message`
  Returns the value of the Java object property with the specified name.

  This method can be used to return, in objectified format, an object that has been stored as a property in the message with the equivalent `setObjectProperty` method call, or its equivalent primitive `settypeProperty` method.

  Specified by:
    `getObjectProperty` in interface `Message`
  Parameters:
    `name` - the name of the Java object property
  Returns:
    the Java object property value with the specified name, in objectified format (for example, if the property was set as an `int`, an `Integer` is returned); if there is no property by this name, a null value is returned
  Throws:
    `JMSException` - if the JMS provider fails to get the property value due to some internal error.

### getPropertyNames

    public Enumeration getPropertyNames()
                                 throws JMSException

  Description copied from interface: `javax.jms.Message`
  Returns an `Enumeration` of all the property names.

  Note that JMS standard header fields are not considered properties and are not returned in this enumeration.

  Specified by:
    `getPropertyNames` in interface `Message`
  Returns:
    an enumeration of all the names of property values
  Throws:
    `JMSException` - if the JMS provider fails to get the property names due to some internal error.

### setBooleanProperty

    public void setBooleanProperty(String name,
                                   boolean value)
                            throws JMSException

  Description copied from interface: `javax.jms.Message`
  Sets a `boolean` property value with the specified name into the message.

  Specified by:
    `setBooleanProperty` in interface `Message`
  Parameters:
    `name` - the name of the `boolean` property
    `value` - the `boolean` property value to set
  Throws:
    `JMSException` - if the JMS provider fails to set the property due to some internal error.
    `MessageNotWriteableException` - if properties are read-only

### setByteProperty

    public void setByteProperty(String name,
                                byte value)
                         throws JMSException

  Description copied from interface: `javax.jms.Message`
  Sets a `byte` property value with the specified name into the message.

  Specified by:
    `setByteProperty` in interface `Message`
  Parameters:
    `name` - the name of the `byte` property
    `value` - the `byte` property value to set
  Throws:
    `JMSException` - if the JMS provider fails to set the property due to some internal error.
    `MessageNotWriteableException` - if properties are read-only

### setShortProperty

    public void setShortProperty(String name,
                                 short value)
                          throws JMSException

  Description copied from interface: `javax.jms.Message`
  Sets a `short` property value with the specified name into the message.

  Specified by:
    `setShortProperty` in interface `Message`
  Parameters:
    `name` - the name of the `short` property
    `value` - the `short` property value to set
  Throws:
    `JMSException` - if the JMS provider fails to set the property due to some internal error.
    `MessageNotWriteableException` - if properties are read-only

### setIntProperty

    public void setIntProperty(String name,
                               int value)
                        throws JMSException

  Description copied from interface: `javax.jms.Message`
  Sets an `int` property value with the specified name into the message.

  Specified by:
    `setIntProperty` in interface `Message`
  Parameters:
    `name` - the name of the `int` property
    `value` - the `int` property value to set
  Throws:
    `JMSException` - if the JMS provider fails to set the property due to some internal error.
    `MessageNotWriteableException` - if properties are read-only

### setLongProperty

    public void setLongProperty(String name,
                                long value)
                         throws JMSException

  Description copied from interface: `javax.jms.Message`
  Sets a `long` property value with the specified name into the message.

  Specified by:
    `setLongProperty` in interface `Message`
  Parameters:
    `name` - the name of the `long` property
    `value` - the `long` property value to set
  Throws:
    `JMSException` - if the JMS provider fails to set the property due to some internal error.
    `MessageNotWriteableException` - if properties are read-only

### setFloatProperty

    public void setFloatProperty(String name,
                                 float value)
                          throws JMSException

  Description copied from interface: `javax.jms.Message`
  Sets a `float` property value with the specified name into the message.

  Specified by:
    `setFloatProperty` in interface `Message`
  Parameters:
    `name` - the name of the `float` property
    `value` - the `float` property value to set
  Throws:
    `JMSException` - if the JMS provider fails to set the property due to some internal error.
    `MessageNotWriteableException` - if properties are read-only

### setDoubleProperty

    public void setDoubleProperty(String name,
                                  double value)
                           throws JMSException

  Description copied from interface: `javax.jms.Message`
  Sets a `double` property value with the specified name into the message.

  Specified by:
    `setDoubleProperty` in interface `Message`
  Parameters:
    `name` - the name of the `double` property
    `value` - the `double` property value to set
  Throws:
    `JMSException` - if the JMS provider fails to set the property due to some internal error.
    `MessageNotWriteableException` - if properties are read-only

### setStringProperty

    public void setStringProperty(String name,
                                  String value)
                           throws JMSException

  Description copied from interface: `javax.jms.Message`
  Sets a `String` property value with the specified name into the message.

  Specified by:
    `setStringProperty` in interface `Message`
  Parameters:
    `name` - the name of the `String` property
    `value` - the `String` property value to set
  Throws:
    `JMSException` - if the JMS provider fails to set the property due to some internal error.
    `MessageNotWriteableException` - if properties are read-only

### setObjectProperty

    public void setObjectProperty(String name,
                                  Object value)
                           throws JMSException

  Description copied from interface: `javax.jms.Message`
  Sets a Java object property value with the specified name into the message.

  Note that this method works only for the objectified primitive object types (`Integer`, `Double`, `Long` ...) and `String` objects.

  Specified by:
    `setObjectProperty` in interface `Message`
  Parameters:
    `name` - the name of the Java object property
    `value` - the Java object property value to set
  Throws:
    `JMSException` - if the JMS provider fails to set the property due to some internal error.
    `MessageFormatException` - if the object is invalid
    `MessageNotWriteableException` - if properties are read-only

### acknowledge

    public void acknowledge()
                     throws JMSException

  Description copied from interface: `javax.jms.Message`
  Acknowledges all consumed messages of the session of this consumed message.

  All consumed JMS messages support the `acknowledge` method for use when a client has specified that its JMS session's consumed messages are to be explicitly acknowledged. By invoking `acknowledge` on a consumed message, a client acknowledges all messages consumed by the session that the message was delivered to.

  Calls to `acknowledge` are ignored for both transacted sessions and sessions specified to use implicit acknowledgement modes.

  A client may individually acknowledge each message as it is consumed, or it may choose to acknowledge messages as an application-defined group (which is done by calling acknowledge on the last received message of the group, thereby acknowledging all messages consumed by the session.)

  Messages that have been received but not acknowledged may be redelivered.

  Specified by:
    `acknowledge` in interface `Message`
  Throws:
    `JMSException` - if the JMS provider fails to acknowledge the messages due to some internal error.
    `IllegalStateException` - if this method is called on a closed session.
  See Also:
    `Session.CLIENT_ACKNOWLEDGE`

### isBodyReadOnly

    protected boolean isBodyReadOnly()

### checkWrite

    protected void checkWrite()
                       throws JMSException

  Throws:
    `JMSException`

### convertForeignMessage

    public static MessageImpl convertForeignMessage(Message foreignMessage,
                                                    SessionImpl session)
                                             throws JMSException

  Throws:
    `JMSException`

### getReadMessageFile

    public File getReadMessageFile()

### getSequence

    public int getSequence()

### setSequence

    public void setSequence(int sequence)

### getSession

    public SessionImpl getSession()

### setSession

    public void setSession(SessionImpl session)

### isReceived

    public boolean isReceived()

### setReceived

    public void setReceived(boolean received)
                     throws JMSException

  Throws:
    `JMSException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toObjectString

    protected final String toObjectString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD